/*  This file is a part of Dict. Dict is a Series 60 application for browsing
	dict databases (http:\\www.dict.org) stored in the phone's file system.
	Copyright (C) 2005, Kostas Giannakakis
	Web page: http://users.forthnet.gr/ath/kgiannak/

	Dict is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Dict is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Dict; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __GENERAL_UTILS_H__
#define __GENERAL_UTILS_H__

#include <utf.h> // charconv.lib

/** Class for TDes8 to TDes16 conversions and vice-versa.
	Taken from a NewLC atricle
*/
class MyUtils
{
public:
	/**	Converts a TDesC8 to a TDes16 descriptor.
		@param aFrom The descriptor to convert.
		@param aTo The result of the operation
		@result 0 for success.
	*/
	static TInt ConvertTDes8ToTDes16(const TDesC8& aFrom, TDes16& aTo)
	{
	return(CnvUtfConverter::ConvertToUnicodeFromUtf8(aTo,aFrom));
	};

	/**	Converts a TDesC16 to a TDes8 descriptor.
		@param aFrom The descriptor to convert.
		@param aTo The result of the operation
		@result 0 for success.
	*/
	static TInt ConvertTDes16ToTDes8(const TDesC16& aFrom, TDes8& aTo)
	{
	return(CnvUtfConverter::ConvertFromUnicodeToUtf8(aTo,aFrom));
	};
};

#endif // __GENERAL_UTILS_H__

